Subject: RE: [X2Go-Dev] Bug#642: Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking

From: "George Trakatelis" <[email-masked]>
Date: Tue, 28 Oct 2014 07:15:54 +0200

Hi Michael,

Now that release 4.0.3.0 of x2goclient is out, 
I attach my proposed changes and comment on each one:

1. conform-to-stricter-type-checking-mingw482.patch

Even mingw's debug build complains about this char * 
not having been declared as ought to be (const char *) 
and suggests using -fpermissive (not recommended).

2. conform-to-stricter-type-checking-VS2010.patch

a. A type-cast to match one of pow's declarations {float pow(float x, int y);}
b. In pure Windows there's no close() function to close a socket. 
   So you have to use closesocket() instead.
c. Include winsock2.h just before windows.h (also recommended by mingw).

3. add-libraries-to-build-with-VS2010.patch

a. A new batch file to configure x2goclient for VS2010 build (config_win_vs.bat). 
I have just substituted nmake for mingw32-make. 
Please remember to also use 'nmake' or 'nmake debug' when building.
b. Added necessary win32 libraries.

George

> -----Original Message-----
> From: Mike Gabriel [mailto:[email-masked]]
> Sent: Thursday, October 16, 2014 5:30 PM
> To: Michael DePaulo
> Cc: [email-masked]; Oleksandr Shneyder; [email-masked];
> George Trakatelis
> Subject: Re: [X2Go-Dev] Bug#642: Bug#642: Changes in X2GoClient for
> Windows to enable it conform to Visual Studio's stricter type checking
> 
> Hi Mike#2
> 
> On  Do 16 Okt 2014 16:16:16 CEST, Michael DePaulo wrote:
> 
> > I can merge it this evening. But should we merge it right before we
> > release 4.0.3.0?
> >
> 
> No, please wait till 4.0.3.0 is out.
> 
> Mike
> 
> --
> 
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
> 
> GnuPG Key ID 0x25771B31
> mail: [email-masked], http://das-netzwerkteam.de
> 
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-
> netzwerkteam.de.xfb